Skip to main content
GET
/
v1
/
sandbox
/
instant-swap
/
quote
Sandbox Get instant swap quote price
curl --request GET \
  --url https://api.openxswitch.com/v1/sandbox/instant-swap/quote \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "fee": "0.0",
    "fromCoin": "USDT",
    "fromAmount": "100",
    "toCoin": "ETH",
    "toAmount": "0.0234",
    "swapPrice": "0.000234"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.openxswitch.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

fromCoin
string
required

Source coin symbol

Example:

"USDT"

fromAmount
string
required

Amount of the source coin

Example:

100

toCoin
string
required

Target coin symbol

Example:

"ETH"

Response

success
boolean
required
Example:

true

data
object
required